// Install script for Enigmail DE language pack

var err;
const APP_VERSION="0.95.0";

err = initInstall("Enigmail DE Language pack",  // name for install UI
                  "/enigmail-DE",   // registered name
                  APP_VERSION+".0");         // package version

logComment("initInstall: " + err);

var srDest = 15;       // Disk space required for installation (KB)

var fProgram    = getFolder("Program");
logComment("fProgram: " + fProgram);

if (!verifyDiskSpace(fProgram, srDest)) {
  cancelInstall(INSUFFICIENT_DISK_SPACE);

} else {

  var fChrome     = getFolder("Chrome");

  // addDirectory: blank, archive_dir, install_dir, install_subdir
  addDirectory("", "chrome",        fChrome,     "");

  err = getLastError();
  if (err == ACCESS_DENIED) {
    alert("Es konnte nicht in das 'components'-Verzeichnis geschrieben werden: \n\n "+fComponents+" \n\n Sie mssen die Anwendung mit Administrator-/root-Rechten ausfhren, um das Enigmail-Sprachpaket zu installieren. Nach der Installation mssen Sie die Anwendung nochmals als Administrator/root neu starten, sodass das Enigmail-Sprachpaket fertig registriert wird! \n Anschlieend knnen Sie die Anwendung dann wieder mit normalen Benutzer-Rechten ausfhren.");

    cancelInstall(ACCESS_DENIED);

  } else if (err != SUCCESS) {
    cancelInstall(err);

  } else {
    // Register chrome

    registerChrome( LOCALE | DELAYED_CHROME, getFolder("Chrome","enigmail-DE.jar"), "locale/de-AT/enigmail/");

    err = getLastError();

    if (err != SUCCESS) {
      cancelInstall(err);

    } else {
      performInstall();
	alert("Falls Enigmail nicht auf Deutsch angezeigt wird, dann starten Sie Mozilla bitte einmal mit folgender Option: \n\n-contentLocale de-AT -UILocale AT");
    }
  }
}

// this function verifies disk space in kilobytes
function verifyDiskSpace(dirPath, spaceRequired) {
  var spaceAvailable;

  // Get the available disk space on the given path
  spaceAvailable = fileGetDiskSpaceAvailable(dirPath);

  // Convert the available disk space into kilobytes
  spaceAvailable = parseInt(spaceAvailable / 1024);

  // do the verification
  if(spaceAvailable < spaceRequired) {
    logComment("Insufficient disk space: " + dirPath);
    logComment("  required : " + spaceRequired + " K");
    logComment("  available: " + spaceAvailable + " K");
    return false;
  }

  return true;
}
